{$MODE DELPHI}
uses
  SysUtils, testlib;

Const 
  E = 1e-5;

Type 
  TPoint = Record
    X, Y: Extended;
  End;
  
Var 
  K1, K2: Integer;
  A1, A2, B1, B2: TPoint;

Function PointEquil(A, B: TPoint): Boolean;
Begin
  PointEquil := (Abs(A.X - B.X) < E) and (Abs(A.Y - B.Y) < E);
End;

begin
  K1 := ans.ReadInteger;
  K2 := ouf.ReadInteger;
  If K1 <> K2 Then Quit(_WA, '');
  If (K1 = 0) or (K1 = 3) Then Quit(_OK, '');
  A1.X := ans.ReadReal;
  A1.Y := ans.ReadReal;
  B1.X := ouf.ReadReal;
  B1.Y := ouf.ReadReal;
  If K1 = 1 Then 
    If PointEquil(A1, B1) Then Quit(_OK, '')
                          Else Quit(_WA, '')
  Else Begin
    A2.X := ans.ReadReal;
    A2.Y := ans.ReadReal;
    B2.X := ouf.ReadReal;
    B2.Y := ouf.ReadReal;
    If (PointEquil(A1, B1) and PointEquil(A2, B2)) or
       (PointEquil(A2, B1) and PointEquil(A1, B2)) Then Quit(_OK, '')
                                                   Else Quit(_WA, '');
  End;
end.